listen: 192.168.0.198:4224
http_port: 8448

# auth
authorization: {
    users=[
        {
            user: streaming1
            password: streaming1
        }
    ]
}

max_connections: 200

max_subscriptions: 200

max_control_line: 1024

max_payload: 65535

streaming: {
    cluster_id: kg_stream
    store: sql
    # dir: /home/woo/data/streaming/datastore

    # file_compact_enabled: true

    # store: 'SQL'

    # # logging
    # stan_debug: false
    # stan_trace: false

    sql: {
        driver: "mysql"
        source: "other:123456@(192.168.0.198:3306)/nats?readTimeout=5s&writeTimeout=5s"
        no_cache: false
        max_open_conns: 10
    }

    # hb_interval: '10s'
    # hb_timeout: '10s'
    # hb_fail_count: 2
}
